Bug 1250735 - No quota API to get real hard-limit value.
No quota API to get real hard-limit value.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
3.6.2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Manikandan
: Triaged
Depends On:
Blocks: 1261404 1263075 1267817
  Show dependency treegraph
 
Reported: 2015-08-05 16:49 EDT by vnosov
Modified: 2016-09-20 00:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1261404 1267817 (view as bug list)
Environment:
Last Closed: 2015-12-04 02:06:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mselvaga: needinfo-


Attachments (Terms of Use)

  None (edit)
Description vnosov 2015-08-05 16:49:02 EDT
Description of problem: The quota list command returns rounded hard-limit value. If it is rounded it could not be used to restore the quota configuration settings. For example, the hard-limit is set 3080MB, but the quota list returns 3.0GB as a hard-limit value. User has to maintain its own records about true hard-limit values or to use getfattr to check extended attributes.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Manikandan 2015-10-01 02:58:11 EDT
Hi,

You can check the exact available space in bytes by issuing the command, 'gluster v quota <VOLNAME> list --xml' which is fixed in 3.7.

Would you like to upgrade to 3.7 or shall we provide a hot fix for the same??

--
Thanks & Regards,
Manikandan Selvaganesh.

Note You need to log in before you can comment on or make changes to this bug.